---
layout: documentation
title: Installation
keywords: installation
sidebar: ldap_principal_sidebar
toc: false
---
To install these modules, you can use a `Puppetfile`

```
forge "http://forge.enterprisemodules.com"

mod 'enterprisemodules/ldap_principal'               ,'1.0.x'
```
Then use the `librarian-puppet` or `r10K` to install the software.

You can also install the software using the `puppet module`  command:

```
puppet module install
    --module_repository=http://forge.enterprisemodules.com
    enterprisemodules-ldap_principal
```
