require 'easy_type'
require 'rubygems' if RUBY_VERSION < '1.9.0' && Puppet.version < '3'
require 'net/ldap' if Puppet.features.net_ldap?
require 'puppet_x/enterprisemodules/ldap_access'
require 'puppet_x/enterprisemodules/ldap'

Puppet::Type.type(:ldap_principal).provide(:net_ldap) do
  confine :feature => :net_ldap
  include EasyType::Provider
  include PuppetX::EnterpriseModules::LdapAccess

  desc 'Manage an LDAP principal'
  mk_resource_methods

end
