newparam(:ldap_server) do
  include EasyType

  desc <<-EOD
    The name of the LDAP server.

    This must be server registered with the `ldap_server` type. See the custom type
    `ldap_server` for more information on how to register an LDAP server.

  EOD

  isnamevar

  data_type("Optional[String[1]]")

  to_translate_to_resource do |raw_resource|
    raw_resource[name]
  end
end

autorequire(:ldap_server) { ldap_server }
