newproperty(:address) do
  include EasyType::YamlProperty
  include EasyType::Validators::IPFQDN

  defaultto '127.0.0.1'

  desc <<-EOD
    The url to connect to.

        ldap_server {my_ldap_server:
          ...
          address => '192.168.59.10',
          ...
        }

  EOD

  data_type("Optional[String[1]]")
end
