# rubocop: disable Style/RedundantSelf
newparam(:name) do
  include EasyType

  desc <<-EOD
    The name of the LDAP server. This can be any name you wish to give it and is in no
    way related to the FQDN.

  EOD

  data_type("Optional[String[1]]")

  isnamevar

  to_translate_to_resource do |raw_resource|
    raw_resource[self.name]
  end
end
