newproperty(:password) do
  include EasyType::EncryptedYamlProperty

  defaultto 'password'

  desc <<-EOD
    The password used to connect to the LDAP server.

    ldap_server {ldap_server:
      ...
      password => 'very_secret',
      ...
    }

  EOD

  data_type("Optional[String[1]]")

end
