#!/opt/puppetlabs/puppet/bin/ruby
require 'json'
require 'open3'
require 'puppet'
# Load all available plugins
Puppet.initialize_settings
require 'easy_type'

begin
  data = EasyType::ResourceTask.new(:ldap_principal, 'queue_manager_name').execute
  puts data.to_json
rescue Puppet::Error => e
  puts({ :status => 'failure', :error => e.message }.to_json)
  exit 1
end
